pkgng

Ошибка обновления пакетов pkgng из-за несовместимости архитектур

Свежеустановленная FreeBSD 9.1 i386

При обновлении вылезла ошибка:

Установка и использование в FreeBSD 9.1 нового пакетного менеджера pkgng

Пакетный менеджер pkgng пришёл на смену pkg_install и более старым способам сборки портов прямо на компьютере. Изначально процесс установки пакета состоял из скачивания исходников пакета на компьютер и сборку пакета через make и т.д. Потом автоматизировали процесс, появился пакетный менеджер pkg_install, который позволил скачивать готовые собранные пакеты и устанавливать их через команду pkg_add, удалять через pkg_delete и т.д. Но и этот менеджер пакетов не был пределом мечтаний и в году 2010 начали создавать новый пакетный менеджер pkgng, который мне напоминает apt в debian.

Не устанавливался пакет mc из-за устаревших зависимостей

Эта заметка устарела. Теперь я пользуюсь pkgng http://debuntu.ru/ustanovka-i-ispolzovanie-v-freebsd-91-novogo-paketnogo-menedzhera-pkgng

Тому, что написано здесь, следовать нельзя.

FreeBSD 9.1

При установке mc:

# pkg_add -r mc

выводились сообщения, что зависимые пакеты установлены, но имеют старую версию.

Подписка на RSS - pkgng